#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int n, br=0;
    cin >> n;
    vector<int> x,x_c,y,y_c;
    int input;
    bool postoji;
    for(int i=0;i<n;i++){
        cin>>input;
        postoji = false;
        for(int j=0;j<i;j++){
            if(x[j]==input){
                postoji = true;
                x_c[j]++;
                break;
            }
        }
        if(!postoji){
            x.push_back(input);
            x_c.push_back(1);
        }
    }
    for(int i=0;i<n;i++){
        cin>>input;
        y.push_back(input);
        y_c.push_back(0);
    }
    for(int i=0;i<n;i++){
        cin>>input;
        y_c[input-1]++;
    }
    for(int i=0;i<n;i++){
        for(int j=0;j<x.size();j++){
            if(x[j]==y[i]){
                br+=x_c[j]*y_c[i];
                break;
            }
        }
    }
    cout<<br;
}